Subject: Re: dynamic perl shipped with cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: Peter Buckley <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Sep 2001 00:51:33 +0200

Peter Buckley schrieb am 2001-09-17, 18:17:

>I am getting an error trying to load an IO module 
>that is required by a script that someone else in 
>my company wrote. I searched the archives with 
>google and skimmed the perl-5.6.1.README- I have 
>perl version 5.6.1-2, with the accompanying latest 
>of cygwin that I installed today. I got this error- 
>
>Can't load module IO, dynamic loading not available in this perl.
>  (You may need to build a new perl executable which either supports
>  dynamic loading or has the IO module statically linked into it.)
> at /usr/lib/perl5/5.6.1/cygwin-multi/IO/Handle.pm line 256

Strange.

>It looks like I have to compile my own perl, which 
>I am willing to try (make was easy enough :-). 
>I have seen some documentation on how to do it, but if 
>anyone has an favorite up-to-date websites, please let me know. 

>I don't understand why the perl-5.6.1.README says 
>"This package is configured to support dynamic loading" 
>and I am getting an error that seems to contradict that statement. 

Yes, this perl is compiled to support dynamic loading.
Maybe a problem with your permissions?

What says $ for you?:
=====================
$ ls -la /usr/lib/perl5
drwxrwxrwx    4 Administ Administ        0 Sep  7 14:51 ./
drwxrwxrwx   21 Administ Administ    73728 Sep 16 19:28 ../
drwxrwxrwx   30 Administ Administ    24576 Sep 12 20:34 5.6.1/
drwxrwxrwx    3 Administ Administ        0 Sep  7 14:51 site_perl/

$ which perl
/bin/perl

$ perl -v

This is perl, v5.6.1 built for cygwin-multi

Copyright 1987-2001, Larry Wall
[...]

$  perl -V
Summary of my perl5 (revision 5.0 version 6 subversion 1) configuration:
  Platform:
    osname=cygwin, osvers=1.3.2(0.3932), archname=cygwin-multi
    uname='cygwin_nt-4.0 loreley 1.3.2(0.3932) 2001-05-20 23:28 i686 unknown '
    config_args='-de -Dusemultiplicity'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=define
    useperlio=undef d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=undef use64bitall=undef uselongdouble=undef
  Compiler:
    cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include',

    optimize='-O2',
    cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include'
    ccversion='', gccversion='2.95.3-5 (cygwin special)', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=4
    alignbytes=8, usemymalloc=y, prototype=define
  Linker and Libraries:
    ld='ld2', ldflags =' -s -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib /lib
    libs=-lgdbm -lcrypt
    perllibs=-lcrypt
    libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl5_6_1.a
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' -s'
    cccdlflags=' ', lddlflags=' -s -L/usr/local/lib'

Characteristics of this binary (from libperl):
  Compile-time options: MULTIPLICITY USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
  Built under cygwin
  Compiled at Aug 22 2001 01:05:05
  %ENV:
    PERLIO="stdio"
  @INC:
    /usr/lib/perl5/5.6.1/cygwin-multi
    /usr/lib/perl5/5.6.1
    /usr/lib/perl5/site_perl/5.6.1/cygwin-multi
    /usr/lib/perl5/site_perl/5.6.1
    /usr/lib/perl5/site_perl
    .

and:
$ cygcheck -svr

?

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/